Bug 184133 - Smbclient crash when putting files
Smbclient crash when putting files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 13:33 EST by Adam Huffman
Modified: 2014-08-31 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-21 13:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3588 None None None Never

  None (edit)
Description Adam Huffman 2006-03-06 13:33:06 EST
Description of problem:
I am able reliably to provoke a crash in smbclient when putting some files to an 
XP laptop.  Each time it crashes at the same point.

Version-Release number of selected component (if applicable):
3.0.14a-2

How reproducible:
Every time

Steps to Reproduce:
1. smbclient //<machine ip>/<share name>
2. add options 'recurse on' and 'prompt off'
3. mput *
  
Actual results:
smbclient crashes when it reaches a particular file

Expected results:
smbclient should put all the files to the remote host

Additional info:
Comment 1 Adam Huffman 2006-03-06 13:40:30 EST
Command line output and stack trace:

putting file Eigene Dateien/Neuer Ordner (2)/19071.pdf as \Eigene Dateien\Neuer
Ordner (2)\19071.pdf (8764.3 kb/s) (average 4471.4 kb/s)

Program received signal SIGSEGV, Segmentation fault.
0x00002aaaabc2b01c in malloc_consolidate () from /lib64/libc.so.6
(gdb) bt
#0  0x00002aaaabc2b01c in malloc_consolidate () from /lib64/libc.so.6
#1  0x00002aaaabc2c1e6 in _int_malloc () from /lib64/libc.so.6
#2  0x00002aaaabc2db3b in malloc () from /lib64/libc.so.6
#3  0x000055555557de33 in do_put (
    rname=0x555555843d10 "\\Eigene Dateien\\Neuer Ordner (2)\\~$werbung
T_bingen.doc",
    lname=0x555555843aa0 "Eigene Dateien/Neuer Ordner (2)/~$werbung
T\uffffbingen.doc",
    reput=0) at client/client.c:1198
#4  0x000055555557ea48 in cmd_mput () at client/client.c:1501
#5  0x000055555558362d in main (argc=Variable "argc" is not available.
) at client/client.c:3127
Comment 2 Christian Iseli 2007-01-19 19:29:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Adam Huffman 2007-01-21 13:35:56 EST
The machine in question is now running FC5 and I haven't seen a repetition of
this problem.

Note You need to log in before you can comment on or make changes to this bug.